<?php

// The NetPlay script expects this PHP file to return a raw text file (not html)
//   NetPlay will execute all the commands returned
//   If ran as a script, it will then re-request this file and run again
//    Macros will not loop (re-request)

//  This script checks what day of the week it is, and returns the code for that day
//    The last commands sent are a wait for 23:50 UTC, then wait 20 min
//        Thus it will re-request early on the next day to get the script for that day

//  The intent is a script that can be started at any time

//  During each "day" code, you can also check for current time to skip prior commands

$doy = date('z');    // current day of year (0-365)
$dom = date('j');    // current day of month (1-31)
$day = date('w');    // current day of week (0-6)
$hr = date('G');   // current hour (0-23)
$min = intval(date('i'));   // current minute (0-59)

//   Times should all be in UTC (since that is what NVMM uses)
echo(";current time " . $day . " " . $hr . ":" . $min . "\n");

if ($day == 0){   
  //Sunday
  echo("V000000\n");    // all off
  echo("QCECOFF000\n");    // all off
}elseif (($day >= 1) && ($day <6)){
  //Monday - Fri
  if ($hr<10){  
	echo("TIME 10 00 0\n");     // wait for opening
  } 
  if ($hr<16){
        echo("QCECON000\n");    // all on
	echo("WAIT 45\n");      // pause
	echo("F01R\n");              // lunch service recall
        echo("TIME 16 00 0\n");     // wait for happy hour
   }
   if ($hr<17){
	echo("F02R\n");              // happy hour service recall
        echo("TIME 17 00 0\n");     // wait for dinner service
   }
   if (($hr<22) || (($hr<23) && ($min<30))){
	echo("F03R\n");              // dinner service recall
        echo("TIME 22 30 0\n");     // wait for last call
   }
   if (($hr<22) || (($hr<23) && ($min<55))){
	echo("F04R\n");              // last call recall
        echo("TIME 22 55 0\n");     // wait for last call
   }
	echo("V000000\n");    // all off
  	echo("QCECOFF000\n");    // all off
   
}elseif ($day == 6){
  //Sat
  echo("V000000\n");    // all off
  echo("QCECOFF000\n");    // all off
}
echo("TIME 23 50 0\n");   // wait till 23:50
echo("WAIT 1200\n");      // wait 20min more 